host global_status changes should not be audited
Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Audit Log   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1590328 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5686,

https://github.com/theforeman/foreman/p

ull/5717

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1590328

Description of problem:

the "last_checkin" and "global_status" attr. changes shouldn't be audited. This is currently audited and generates a lot of audit

records.

Version-Release number of selected component (if applicable):

6.4.0-7

Steps to Reproduce:

1. register a content host to a satellite

2. check audits for a host-related record showing the global_status change

3. now edit the update interval parameter in  /etc/rhsm/rhsm.conf on the host to 1 minute and check the audit page for the host->last

checkin records

Actual results:

the above attr changes are audited

Expected results:

the above attr changes are excluded from auditing

Related issues:

Copied to Katello - Bug #23914: host last_checkin changes should not be audited Closed 06/13/2018

Associated revisions

Revision 9e1851e4 - 06/13/2018 10:21 AM - Tomer Brisker

Fixes #23913 - Stop auditing host status updates

History

#1 - 06/13/2018 07:59 AM - Tomer Brisker

- Copied to Bug #23914: host last_checkin changes should not be audited added

#2 - 06/13/2018 08:01 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Tomer Brisker

- Pull request https://github.com/theforeman/foreman/pull/5686 added

#3 - 06/13/2018 10:22 AM - Timo Goebel

- Subject changed from host global_status changes should not be audited

 to host global_status changes should not be audited
- translation missing: en.field_release set to 353

#4 - 06/13/2018 11:01 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9e1851e474bcd9351c445577438e1ad8982b5ab0.

#5 - 06/20/2018 07:47 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5717 added

#6 - 06/20/2018 07:48 AM - Ondřej Pražák

- translation missing: en.field_release changed from 353 to 330
